#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    float p,q,r;
    long long int L,R,brojac=0;
    scanf("%f %f %f %lld %lld",&p,&q,&r,&L,&R);
    for (int i=L;i<=R;i++)
    {
        if ((ceil(i/p)+ceil(i/q)+ceil(i/r))<=i)
        {
            brojac++;
        }
    }
    printf("%d",brojac);
}